# Uses of Interface
org.bukkit.entity.Slime

Packages that use Slime
Package
Description
com.destroystokyo.paper.entity.ai
com.destroystokyo.paper.event.entity
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Slime in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Slime
Modifier and Type
Field
Description
`static final GoalKey<Slime>`
VanillaGoal.`SLIME_ATTACK`
`static final GoalKey<Slime>`
VanillaGoal.`SLIME_FLOAT`
`static final GoalKey<Slime>`
VanillaGoal.`SLIME_IDLE`
Deprecated.
`static final GoalKey<Slime>`
VanillaGoal.`SLIME_KEEP_ON_JUMPING`
`static final GoalKey<Slime>`
VanillaGoal.`SLIME_NEAREST_PLAYER`
Deprecated.
`static final GoalKey<Slime>`
VanillaGoal.`SLIME_RANDOM_DIRECTION`
`static final GoalKey<Slime>`
VanillaGoal.`SLIME_RANDOM_JUMP`
Deprecated.

## Uses of Slime in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return Slime
Modifier and Type
Method
Description
`@NotNull Slime`
SlimePathfindEvent.`getEntity()`
The Slime that is pathfinding.
Constructors in com.destroystokyo.paper.event.entity with parameters of type Slime
Modifier
Constructor
Description
``
`SlimeChangeDirectionEvent(@NotNull Slime slime, float yaw)`
``
`SlimePathfindEvent(@NotNull Slime slime)`
``
`SlimeSwimEvent(@NotNull Slime slime)`
``
`SlimeTargetLivingEntityEvent(@NotNull Slime slime, @NotNull LivingEntity target)`
``
`SlimeWanderEvent(@NotNull Slime slime)`

## Uses of Slime in org.bukkit.entity

Subinterfaces of Slime in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`MagmaCube`
Represents a MagmaCube.

## Uses of Slime in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Slime
Modifier and Type
Method
Description
`@NotNull Slime`
SlimeSplitEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type Slime
Modifier
Constructor
Description
``
`SlimeSplitEvent(@NotNull Slime slime, int count)`